digiKam Developer Documentation: Digikam::AlbumSelectors Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::AlbumSelectors Class Reference
Inheritance diagram for Digikam::AlbumSelectors:

## Public Types
enum | AlbumType { PhysAlbum = 0 , TagsAlbum , All }
enum | SelectionType { SingleSelection = 0 , MultipleSelection }

## Public Slots
void | loadState ()
| Called in constructor.
void | saveState ()
| Save settings in configuration file.

## Signals
void | signalSelectionChanged ()

## Public Member Functions
| AlbumSelectors (const QString &label, const QString &configName, QWidget *const parent=nullptr, AlbumType albumType=All, bool allowRecursive=false)
| Default Constructor.
void | resetPAlbumSelection ()
| Reset all Physical Albums selection.
void | resetSelection ()
| Reset all Physical and Tag Albums selection.
void | resetTAlbumSelection ()
| Reset all Tag Albums selection.
QList< int > | selectedAlbumIds () const
| Return list of selected physical album ids.
AlbumList | selectedAlbums () const
| Return list of selected physical albums.
AlbumList | selectedAlbumsAndTags () const
| Return list of selected physical and tag albums.
QList< int > | selectedTagIds () const
| Return list of selected tag album ids.
AlbumList | selectedTags () const
| Return list of selected tag albums.
void | setAlbumSelected (Album *const album, SelectionType type)
| Select Physical Album from list.
void | setTagSelected (Album *const album, SelectionType type)
| Select Tag Album from list.
void | setTypeSelection (int albumType)
| Sets the search type selection with the AlbumType.
int | typeSelection () const
| Returns the selected album type.
bool | wholeAlbumsChecked () const
| Return true if whole Albums collection option is checked.
bool | wholeTagsChecked () const
| Return true if whole Tags collection option is checked.

## Constructor & Destructor Documentation

## ◆ AlbumSelectors()

Digikam::AlbumSelectors::AlbumSelectors | ( | const QString & | label,
|  | const QString & | configName,
|  | QWidget *const | parent = `nullptr`,
|  | AlbumType | albumType = `All`,
|  | bool | allowRecursive = `false`
| ) |  |
| explicit

'label' is front text of label which title widget. 'configName' is name used to store Albums configuration in settings file. 'parent' is parent widget.

## Member Function Documentation

## ◆ loadState

void Digikam::AlbumSelectors::loadState | ( |  | ) |
| slot

Restore previous settings saved in configuration file.

## ◆ saveState

void Digikam::AlbumSelectors::saveState | ( |  | ) |
| slot

Must be called explicitly by host implementation.

## ◆ setAlbumSelected()

void Digikam::AlbumSelectors::setAlbumSelected | ( | Album *const | album,
|  | SelectionType | type
| ) |  |

If singleSelection is true, only this one is selected from tree-view and all others are deselected.

## ◆ setTagSelected()

void Digikam::AlbumSelectors::setTagSelected | ( | Album *const | album,
|  | SelectionType | type
| ) |  |

If singleSelection is true, only this one is selected from tree-view and all others are deselected.